# enum *UnicodeCategory* from sys.core.i18n

An enum used to describe the category of a Unicode codepoint.

## Constructors

### FromAbbr

```C#
this FromAbbr{s: String};
```

#### Brief

Constructs a new instance from a string abbreviation.

#### Parameters
> *s* => an abbreviation  
***

## Methods

### ToAbbr

```C#
func ToAbbr(): String;
```

#### Brief
Converts the current instance to a string abbreviation.

#### Returns
> the abbreviation
***

## Properties

### IsLetter

```C#
property IsLetter: Bool; get;
```

#### Brief
Returns true if the the current instance represents a letter.
***

### IsCasesLetter

```C#
property IsCasesLetter: Bool; get;
```

#### Brief
Returns true if the the current instance represents a lower/upper/title-case letter.
***

### IsMark

```C#
property IsMark: Bool; get;
```

#### Brief
Returns true if the the current instance represents a mark.
***

### IsNumber

```C#
property IsNumber: Bool; get;
```

#### Brief
Returns true if the the current instance represents a number.
***

### IsPunctuation

```C#
property IsPunctuation: Bool; get;
```

#### Brief
Returns true if the the current instance represents punctuation.
***

### IsSymbol

```C#
property IsSymbol: Bool; get;
```

#### Brief
Returns true if the the current instance represents a symbol.
***

### IsSeparator

```C#
property IsSeparator: Bool; get;
```

#### Brief
Returns true if the the current instance represents a separator.
***

### IsOther

```C#
property IsOther: Bool; get;
```

#### Brief
Returns true if the the current instance represents an "other" type of character.
***

## Constants

### Uppercase_Letter

```C#
const Uppercase_Letter;
```

#### Brief
Enum entry for "Uppercase_Letter Unicode" category.
***

### Lowercase_Letter

```C#
const Lowercase_Letter;
```

#### Brief
Enum entry for "Lowercase_Letter" Unicode category.
***

### Titlecase_Letter

```C#
const Titlecase_Letter;
```

#### Brief
Enum entry for "Titlecase_Letter" Unicode category.
***

### Modifier_Letter

```C#
const Modifier_Letter;
```

#### Brief
Enum entry for "Modifier_Letter" Unicode category.
***

### Other_Letter

```C#
const Other_Letter;
```

#### Brief
Enum entry for "Other_Letter" Unicode category.
***

### Nonspacing_Mark

```C#
const Nonspacing_Mark;
```

#### Brief
Enum entry for "Nonspacing_Mark" Unicode category.
***

### Spacing_Mark

```C#
const Spacing_Mark;
```

#### Brief
Enum entry for "Spacing_Mark" Unicode category.
***

### Enclosing_Mark

```C#
const Enclosing_Mark;
```

#### Brief
Enum entry for "Enclosing_Mark" Unicode category.
***

### Decimal_Number

```C#
const Decimal_Number;
```

#### Brief
Enum entry for "Decimal_Number" Unicode category.
***

### Letter_Number

```C#
const Letter_Number;
```

#### Brief
Enum entry for "Letter_Number" Unicode category.
***

### Other_Number

```C#
const Other_Number;
```

#### Brief
Enum entry for "Other_Number" Unicode category.
***

### Connector_Punctuation

```C#
const Connector_Punctuation;
```

#### Brief
Enum entry for "Connector_Punctuation" Unicode category.
***

### Dash_Punctuation

```C#
const Dash_Punctuation;
```

#### Brief
Enum entry for "Dash_Punctuation" Unicode category.
***

### Open_Punctuation

```C#
const Open_Punctuation;
```

#### Brief
Enum entry for "Open_Punctuation" Unicode category.
***

### Close_Punctuation

```C#
const Close_Punctuation;
```

#### Brief
Enum entry for "Close_Punctuation" Unicode category.
***

### Initial_Punctuation

```C#
const Initial_Punctuation;
```

#### Brief
Enum entry for "Initial_Punctuation" Unicode category.
***

### Final_Punctuation

```C#
const Final_Punctuation;
```

#### Brief
Enum entry for "Final_Punctuation" Unicode category.
***

### Other_Punctuation

```C#
const Other_Punctuation;
```

#### Brief
Enum entry for "Other_Punctuation" Unicode category.
***

### Math_Symbol

```C#
const Math_Symbol;
```

#### Brief
Enum entry for "Math_Symbol" Unicode category.
***

### Currency_Symbol

```C#
const Currency_Symbol;
```

#### Brief
Enum entry for "Currency_Symbol" Unicode category.
***

### Modifier_Symbol

```C#
const Modifier_Symbol;
```

#### Brief
Enum entry for "Modifier_Symbol" Unicode category.
***

### Other_Symbol

```C#
const Other_Symbol;
```

#### Brief
Enum entry for "Other_Symbol" Unicode category.
***

### Space_Separator

```C#
const Space_Separator;
```

#### Brief
Enum entry for "Space_Separator" Unicode category.
***

### Line_Separator

```C#
const Line_Separator;
```

#### Brief
Enum entry for "Line_Separator" Unicode category.
***

### Paragraph_Separator

```C#
const Paragraph_Separator;
```

#### Brief
Enum entry for "Paragraph_Separator" Unicode category.
***

### Control

```C#
const Control;
```

#### Brief
Enum entry for "Control" Unicode category.
***

### Format

```C#
const Format;
```

#### Brief
Enum entry for "Format" Unicode category.
***

### Surrogate

```C#
const Surrogate;
```

#### Brief
Enum entry for "Surrogate" Unicode category.
***

### Private_Use

```C#
const Private_Use;
```

#### Brief
Enum entry for "Private_Use" Unicode category.
***

### Unassigned

```C#
const Unassigned;
```

#### Brief
Enum entry for "Unassigned" Unicode category.
***

### Invalid

```C#
const Invalid;
```

#### Brief
Enum entry for an invalid Unicode category.
***

